
QGIS Application - Bug report #11592

Failure to write the project after removing the liner layer shp

2014-11-07 04:21 AM - Jarost Dudek

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19851

Description

Unable to save the previously loaded project, after removal from the project of the linear layer shp. QGis closes over with this message:

the failure by screenshot-as set out in the annex. At the same time, the project file has a size of zero.

Yours Jarost Dudek

Related issues:

Related to QGIS Application - Bug report # 11546: QGIS crash/close unexpected... Closed 2014-11-04

Related to QGIS Application - Bug report # 11593: QGIS crash when working ove... Closed 2014-11-07

Related to QGIS Application - Bug report # 11544: Minidump - When trying to s... Closed 2014-11-04

Related to QGIS Application - Bug report # 11537: QGIS crashes on various ope... Closed 2014-11-03

History

#1 - 2014-11-07 04:24 AM - Jarost Dudek

Platform version: Windows 7 home premium 32 bit

#2 - 2014-11-07 08:21 AM - Martin Dobias

Fixed in master in b1b0db6b7bdef10dcf6189db0b60d0176629bb99

#3 - 2014-11-07 08:33 AM - Martin Dobias

(pending port to release-2.6 branch)

#4 - 2014-11-07 08:55 AM - Martin Dobias

Steps to reproduce:

1. open a project with at least one layer with a composer containing a legend which has auto-update disabled (all projects <= 2.4)

2. remove the layer

3. save the project

#5 - 2014-11-07 09:41 AM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed/implemented
Fixed in release-2_6 branch in commit:a54c31

#6 - 2014-11-11 02:46 AM - Miguel Sevilla-Callejo

Great, as far as I try it works!

Is there any easy way (e.g. editing project text/xml file) to enable auto-update stuff in composers?

I have big file projects with several composers and it would be great to change then quickly.

#7 - 2014-11-12 02:45 AM - Jarost Dudek

I have a question for Martin Dobias, will there be a patch for 2.6?
